package com.jh.memsource.project;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.server.ResponseStatusException;

import com.jh.memsource.model.PagedList;
import com.jh.memsource.model.Project;
import com.jh.memsource.model.Settings;
import com.jh.memsource.settings.SettingsService;

@RestController
public class ProjectApiController {

	@Autowired
	private ProjectService service;
	
	@Autowired
	private SettingsService settingsService;
	
	
	@GetMapping("/projects")
	public @ResponseBody PagedList<Project> getSettings(Integer page, Integer pageSize) {
		Settings settings = settingsService.getSettings();
		if (settings == null) {
			throw new ResponseStatusException(HttpStatus.FAILED_DEPENDENCY, "Settings not found");
		}
		return service.getProjects(settings);
	}
	
	
}
